package com.app.kemenhub.jakbanapps.db;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteDatabase.CursorFactory;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;
import de.greenrobot.dao.AbstractDaoMaster;
import de.greenrobot.dao.identityscope.IdentityScopeType;

import com.app.kemenhub.jakbanapps.db.airplane_ticketDao;
import com.app.kemenhub.jakbanapps.db.notifDao;
import com.app.kemenhub.jakbanapps.db.kecamatanDao;
import com.app.kemenhub.jakbanapps.db.kelurahanDao;
import com.app.kemenhub.jakbanapps.db.kabupatenDao;
import com.app.kemenhub.jakbanapps.db.user_roleDao;
import com.app.kemenhub.jakbanapps.db.provinsiDao;
import com.app.kemenhub.jakbanapps.db.dispositionDao;
import com.app.kemenhub.jakbanapps.db.fileDao;
import com.app.kemenhub.jakbanapps.db.categoryDao;
import com.app.kemenhub.jakbanapps.db.folderDao;
import com.app.kemenhub.jakbanapps.db.hotel_feeDao;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinasDao;
import com.app.kemenhub.jakbanapps.db.perjalanan_dinas_jenisDao;
import com.app.kemenhub.jakbanapps.db.placeDao;
import com.app.kemenhub.jakbanapps.db.rolesDao;
import com.app.kemenhub.jakbanapps.db.scheduleDao;
import com.app.kemenhub.jakbanapps.db.schedule_categoryDao;
import com.app.kemenhub.jakbanapps.db.taxi_feeDao;
import com.app.kemenhub.jakbanapps.db.user_classDao;
import com.app.kemenhub.jakbanapps.db.user_mobileDao;
import com.app.kemenhub.jakbanapps.db.positionDao;
import com.app.kemenhub.jakbanapps.db.usersDao;
import com.app.kemenhub.jakbanapps.db.vehicle_rentDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.
/** 
 * Master of DAO (schema version 1): knows all DAOs.
*/
public class DaoMaster extends AbstractDaoMaster {
    public static final int SCHEMA_VERSION = 1;

    /** Creates underlying database table using DAOs. */
    public static void createAllTables(SQLiteDatabase db, boolean ifNotExists) {
        airplane_ticketDao.createTable(db, ifNotExists);
        notifDao.createTable(db, ifNotExists);
        kecamatanDao.createTable(db, ifNotExists);
        kelurahanDao.createTable(db, ifNotExists);
        kabupatenDao.createTable(db, ifNotExists);
        user_roleDao.createTable(db, ifNotExists);
        provinsiDao.createTable(db, ifNotExists);
        dispositionDao.createTable(db, ifNotExists);
        fileDao.createTable(db, ifNotExists);
        categoryDao.createTable(db, ifNotExists);
        folderDao.createTable(db, ifNotExists);
        hotel_feeDao.createTable(db, ifNotExists);
        perjalanan_dinasDao.createTable(db, ifNotExists);
        perjalanan_dinas_jenisDao.createTable(db, ifNotExists);
        placeDao.createTable(db, ifNotExists);
        rolesDao.createTable(db, ifNotExists);
        scheduleDao.createTable(db, ifNotExists);
        schedule_categoryDao.createTable(db, ifNotExists);
        taxi_feeDao.createTable(db, ifNotExists);
        user_classDao.createTable(db, ifNotExists);
        user_mobileDao.createTable(db, ifNotExists);
        positionDao.createTable(db, ifNotExists);
        usersDao.createTable(db, ifNotExists);
        vehicle_rentDao.createTable(db, ifNotExists);
    }
    
    /** Drops underlying database table using DAOs. */
    public static void dropAllTables(SQLiteDatabase db, boolean ifExists) {
        airplane_ticketDao.dropTable(db, ifExists);
        notifDao.dropTable(db, ifExists);
        kecamatanDao.dropTable(db, ifExists);
        kelurahanDao.dropTable(db, ifExists);
        kabupatenDao.dropTable(db, ifExists);
        user_roleDao.dropTable(db, ifExists);
        provinsiDao.dropTable(db, ifExists);
        dispositionDao.dropTable(db, ifExists);
        fileDao.dropTable(db, ifExists);
        categoryDao.dropTable(db, ifExists);
        folderDao.dropTable(db, ifExists);
        hotel_feeDao.dropTable(db, ifExists);
        perjalanan_dinasDao.dropTable(db, ifExists);
        perjalanan_dinas_jenisDao.dropTable(db, ifExists);
        placeDao.dropTable(db, ifExists);
        rolesDao.dropTable(db, ifExists);
        scheduleDao.dropTable(db, ifExists);
        schedule_categoryDao.dropTable(db, ifExists);
        taxi_feeDao.dropTable(db, ifExists);
        user_classDao.dropTable(db, ifExists);
        user_mobileDao.dropTable(db, ifExists);
        positionDao.dropTable(db, ifExists);
        usersDao.dropTable(db, ifExists);
        vehicle_rentDao.dropTable(db, ifExists);
    }
    
    public static abstract class OpenHelper extends SQLiteOpenHelper {

        public OpenHelper(Context context, String name, CursorFactory factory) {
            super(context, name, factory, SCHEMA_VERSION);
        }

        @Override
        public void onCreate(SQLiteDatabase db) {
            ////Log.i("greenDAO", "Creating tables for schema version " + SCHEMA_VERSION);
            createAllTables(db, false);
        }
    }
    
    /** WARNING: Drops all table on Upgrade! Use only during development. */
    public static class DevOpenHelper extends OpenHelper {
        public DevOpenHelper(Context context, String name, CursorFactory factory) {
            super(context, name, factory);
        }

        @Override
        public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
            ////Log.i("greenDAO", "Upgrading schema from version " + oldVersion + " to " + newVersion + " by dropping all tables");
            dropAllTables(db, true);
            onCreate(db);
        }
    }

    public DaoMaster(SQLiteDatabase db) {
        super(db, SCHEMA_VERSION);
        registerDaoClass(airplane_ticketDao.class);
        registerDaoClass(notifDao.class);
        registerDaoClass(kecamatanDao.class);
        registerDaoClass(kelurahanDao.class);
        registerDaoClass(kabupatenDao.class);
        registerDaoClass(user_roleDao.class);
        registerDaoClass(provinsiDao.class);
        registerDaoClass(dispositionDao.class);
        registerDaoClass(fileDao.class);
        registerDaoClass(categoryDao.class);
        registerDaoClass(folderDao.class);
        registerDaoClass(hotel_feeDao.class);
        registerDaoClass(perjalanan_dinasDao.class);
        registerDaoClass(perjalanan_dinas_jenisDao.class);
        registerDaoClass(placeDao.class);
        registerDaoClass(rolesDao.class);
        registerDaoClass(scheduleDao.class);
        registerDaoClass(schedule_categoryDao.class);
        registerDaoClass(taxi_feeDao.class);
        registerDaoClass(user_classDao.class);
        registerDaoClass(user_mobileDao.class);
        registerDaoClass(positionDao.class);
        registerDaoClass(usersDao.class);
        registerDaoClass(vehicle_rentDao.class);
    }
    
    public DaoSession newSession() {
        return new DaoSession(db, IdentityScopeType.Session, daoConfigMap);
    }
    
    public DaoSession newSession(IdentityScopeType type) {
        return new DaoSession(db, type, daoConfigMap);
    }
    
}
